Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

ReyGrid API key sent as a Bearer token.

Path Parameters

AgentId
string
required

The ID of the agent.

Body

application/json
message
string
required
Example:

"Check my current subscription"

conversationId
string

Existing conversation ID. Ignored when userId is provided.

Example:

"conv_abc123"

userId
string

Stable user identifier used to maintain a persistent conversation across platforms such as WhatsApp, Discord, and Telegram.

When provided, conversationId is ignored.

Example:

"user_42"

stream
boolean
default:false

When true, the response is delivered using Server-Sent Events (SSE) with delta events.

tools
object[]
results
object[] | null
Minimum array length: 1

Response

Successful chat response

success
boolean
required
messageId
string
required
output
object
required
usage
object
required
conversationId
string
userId
string